Support » Plugin: Forget About Shortcode Buttons » Also finding the TinyMCE editor breaks with the latest version – please fix …

  • Any update on this? The problem is with all TinyMCE – e.g. in the notifications options in Gravity Forms, email stuff in WooCommerce. I love this plugin but will have to de-activate it if this is not fixed.

    I love this plugin and use it a lot – please do fix the isssue – THANK YOU!

Viewing 7 replies - 1 through 7 (of 7 total)
  • Plugin Author DesignsAndCode

    (@designsandcode)

    Hi Neal

    Can you elaborate on the WooCommerce issue you mention?

    Thanks

    Yes – well it’s also the notifications part in Gravity Forms – the notifications in Gravity Forms allows one to add a notification via an area using TinyMCE editor – but that option becomes disabled when your buttons plugin is activated.

    In Woocommerce, I am using an official plugin called Box Office (for booking event tickets) and that extension allows for one to send emails from the back end of Woocommerce to all those that book a particular event (set up like a product). There is a TinyMCE editor part to this that doesn’t work when your plugin is active – essentially making that functionality not work, which is a really important part of why I bought that extension.

    For now I have to disable your plugin, but I’d like to use it ideally.

    Hope that makes some sense.

    When I roll back your plugin to a version 1, everything works OK. When I update to 2 the TinyMCE breaks

    Just to chime in on this one, this is not working when using the WYSIWYG editor within Easy Digital Downloads either.

    The error in the console, if it helps, is:

    fasc-plugin.js:1 Uncaught ReferenceError: addFascToEditor is not defined
    at new <anonymous> (fasc-plugin.js:1)
    at k (tinymce.min.js:13)
    at Array.<anonymous> (tinymce.min.js:13)
    at Object.b [as each] (tinymce.min.js:2)
    at l (tinymce.min.js:13)
    at Object.q [as init] (tinymce.min.js:13)
    at o.<anonymous> (tinymce.min.js:13)
    at Array.<anonymous> (tinymce.min.js:4)
    at b (tinymce.min.js:2)
    at r (tinymce.min.js:4)

    Looking forward to seeing this resolved.

    Thanks,
    Jack

    Thanks for your input bnfw

    Yes – I hope the plugin creator gets this fixed soon. It may be worth starting a new support thread with your issue – the more support threads there are that the author sees the more likely they’ll do something about it.

    Here’s hoping 🙂

    Plugin Author DesignsAndCode

    (@designsandcode)

    Hi again, sorry for the delay – I just released 2.1.1 – can you let me know if this fixes things for you?

    AWESOME – Thanks so much – looks like the latest version has fixed those issues – I’ll keep an eye on it and let you know if any issues re-occur –

    THANKS again for making this fix.

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘Also finding the TinyMCE editor breaks with the latest version – please fix …’ is closed to new replies.